Tuesday, May 02, 2006

Php5 configure error on suse91

While building php5 on suse91, i was getting configure error as...

checking if your cpp allows macro usage in include lines... yes
checking for IMAP support... yes
checking for IMAP Kerberos support... no
checking for IMAP SSL support... yes
checking for pam_start in -lpam... no
checking for crypt in -lcrypt... yes
checking whether build with IMAP works... no
configure: error: build test failed. Please check the config.log for details.

config.log looks like this...

configure:46778: gcc -o conftest -I/usr/include -g -O2 -L/usr/lib -lpthread -Wl,-rpath,/opt/dev/lib -L/opt/dev/lib -Wl,-rpath,/usr/ssl/lib -L/usr/ssl/lib conftest.c -lpam -lgmp -lgdbm -lcurl -lz -lresolv -lm -ldl -lnsl -lxml2 -lz -liconv -lm -lssl -lcrypto -ldl -lcurl -lz -lssl -lcrypto -ldl -lxml2 -lz -liconv -lm -lssl -lcrypto -ldl 1>&5
/usr/lib/gcc-lib/i586-suse-linux/3.3.3/../../../../i586-suse-linux/bin/ld: cannot find -lpam
collect2: ld returned 1 exit status
configure: failed program was:
#line 46767 "configure"
#include "confdefs.h"

configure:48289: gcc -o conftest -I/usr/include -g -O2 -L/usr/lib -lpthread -Wl,-rpath,/opt/dev/lib -L/opt/dev/lib -Wl,-rpath,/usr/ssl/lib -L/usr/ssl/lib -Wl,-rpath,/opt/cm-cvsroot/257/oss/comp/web/php5/src/imap-tmp/imap-2002e/c-client -L/opt/cm-cvsroot/257/oss/comp/web/php5/src/imap-tmp/imap-2002e/c-client
-lcrypt -lgmp -lgdbm -lcurl -lz -lresolv -lm -ldl -lnsl -lxml2 -lz -liconv -lm -lssl -lcrypto -ldl -lcurl -lz -lssl -lcrypto -ldl -lxml2 -lz -liconv -lm -lssl -lcrypto -ldl -lssl -lcrypto -ldl 1>&5
/tmp/cco9oumL.o(.text+0xf9): In function `main':
/opt/cm-cvsroot/257/oss/comp/web/php5/src/configure:48283: undefined reference to `auth_gssapi_valid'
collect2: ld returned 1 exit status
configure: failed program was:
#line 48262 "configure"

configure:48316: checking whether build with IMAP works
configure:48354: gcc -o conftest -I/usr/include -g -O2 -L/usr/lib -lpthread -Wl,-rpath,/opt/dev/lib -L/opt/dev/lib -Wl,-rpath,/usr/ssl/lib -L/usr/ssl/lib -L/opt/cm-cvsroot/257/oss/comp/web/php5/src/imap-tmp/imap-2002e/c-client conftest.c -lc-client -lcrypt -lgmp -lgdbm -lcurl -lz -lresolv -lm -ldl -lnsl -lxml2 -lz -liconv -lm -lssl -lcrypto -ldl -lcurl -lz -lssl -lcrypto -ldl -lxml2 -lz -liconv -lm -lssl -lcrypto -ldl -lssl -lcrypto -ldl 1>&5
undefined reference to `pam_end'
collect2: ld returned 1 exit status
configure: failed program was:
#line 48327 "configure"
#include "confdefs.h"

solution:
The error is because of some missing pam modules and pam library. So, I installed pam-devel-0.77-221.i586.rpm and again fired configure script.Configure and make worked sucessfully.

cheers, make world open.

4 comments:

Dingo said...

That solved my problem on SUSE 10.1. After installing Horde and all needed PEAR modues and Devel packages I understand why my good friend always install all Devel packages no matter what distribution is using... Thanks!

Anonymous said...

Dear sir,

Thank you so much for this solution, I was stuck for ages not realising I needed the pam devel package to make imap work.

Regards,

Stefan

Jason said...

Worked for me too! Thanks!

Anonymous said...

Thank you! This worked for me as well.